Skip to main content

Support Ticket Phases

EntityDatastoreDatastore.PhaseDatastore.Phase.ActivitySupportTicket

Support Ticket Phases define the workflow stages for Support Tickets. Use this endpoint to query the available phases and their IDs, which are needed to update the phase of a support ticket.

Use the Datastore_Phase_ActivitySupportTicket endpoint to query phases for this activity type.

Endpoints

List Support Ticket Phases

GET/v1/odata/Datastore_Phase_ActivitySupportTicket

Single Phase

GET/v1/odata/Datastore_Phase_ActivitySupportTicket({id})

Fields

Inherited Fields (from Phase)

See Phase Fields for all inherited fields including Name, Code, Icon, ActionName, IsAssignable, and IsTerminal.

Relationships

RelationshipTarget EntityCardinalityDescription
SupportTicketActivity_SupportTicket1:NSupportTicket

Expanding Relationships

GET/v1/odata/Datastore_Phase_ActivitySupportTicket({id})?$expand=SupportTicket
GET/v1/odata/Datastore_Phase_ActivitySupportTicket({id})/SupportTicket

Usage

Query Available Phases

GET /v1/odata/Datastore_Phase_ActivitySupportTicket?$select=Name,Code,IsTerminal

Update Phase on Support Ticket

POST /v1/odata/ActivitySupportTicket
{
"ID": "{activity-id}",
"Phase": {
"ID": "{phase-id}"
}
}

Filtering Examples

GET/v1/odata/Datastore_Phase_ActivitySupportTicket?$filter=Name eq '{Name}'&$top={top}
GET/v1/odata/Datastore_Phase_ActivitySupportTicket?$filter=Code eq '{Code}'&$top={top}
GET/v1/odata/Datastore_Phase_ActivitySupportTicket?$filter=IsTerminal eq {IsTerminal}&$top={top}
GET/v1/odata/Datastore_Phase_ActivitySupportTicket?$filter=IsAssignable eq {IsAssignable}&$top={top}
GET/v1/odata/Datastore_Phase_ActivitySupportTicket?$filter=IsDefault eq {IsDefault}&$top={top}